Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.http11
Class InternalInputBuffer.InputStreamInputBuffer

    java.lang.Object
      org.apache.coyote.http11.InternalInputBuffer.InputStreamInputBuffer

All Implemented Interfaces:
  InputBuffer

Enclosing class:
  InternalInputBuffer

    protected class InternalInputBuffer.InputStreamInputBuffer

extends java.lang.Object
implements InputBuffer

This class is an input buffer which will read its data from an input stream.

Constructor Summary
`protected` | `InternalInputBuffer.InputStreamInputBuffer()`

Method Summary
`int` | `doRead(ByteChunk chunk, Request req)` Read bytes into the specified chunk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InternalInputBuffer.InputStreamInputBuffer

    protected InternalInputBuffer.InputStreamInputBuffer()

Method Detail

### doRead

    public int doRead(ByteChunk chunk,
                      Request req)
               throws java.io.IOException

  Read bytes into the specified chunk.

  Specified by:
    `doRead` in interface `InputBuffer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.32
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.